<?xml version="1.0" encoding="utf-16"?>
<MyMPConfig xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <!-- Global information for this movie provider -->
  <Name>CSFD.cz</Name>
  <HomePage>www.csfd.cz</HomePage>
  <Language>Czech</Language>
  <Author>Dolu</Author>
  <Version>0.0</Version>
  <!-- Indicates support for data retrieval -->
  <SupportsCastAndDirector>false</SupportsCastAndDirector>
  <SupportsCover>true</SupportsCover>
  <SupportsPlot>
	true
  </SupportsPlot>
  <SupportsRating>
	false
  </SupportsRating>
  <!-- List of urls to search for movie (you can set only one or add as many as you want) -->
  <!-- Enabled = true or false (allow to temporarely disable an url without remove from configuration file) -->
  <!-- Url = {0} will be replaced by the title of the movie  -->
  <!-- RegExp = regular expression used to parse result list, should return 'link' and 'title' within one regexp -->
  <!-- MoviePlotLink = will try to get plot of the movie from those urls (in that particular order), and will stop as soon as it gets one -->
  <!--                 should at least contains one value. -->
  <!-- MaxResult = will stop movie retrieval with this url after it finds this number of movie -->
  <!-- NextPage = reserved (leave empty for now) -->
  <SearchUrls>
    <Search>
      <Enabled>true</Enabled>
      <Url>http://www.csfd.cz/hledani-filmu-hercu-reziseru-ve-filmove-databazi/?search={0}</Url>
      <RegExp>&lt;a\shref=.(?&lt;Link&gt;/film/.*?).\s.*?&gt;(?&lt;Title&gt;.*?)&lt;/a&gt;</RegExp>
      <MoviePlotLink>
        <string>http://www.csfd.cz/{0}</string>
      </MoviePlotLink>
      <MaxResult>10</MaxResult>
      <NextPage></NextPage>
    </Search>
  </SearchUrls>
  <!-- MaxResult = global limitation for number of movie results -->
  <MaxResult>10</MaxResult>
  <!-- Regular expressions to find Title, Original Title, Year and Runtime -->
  <RegExp_Title>&lt;title&gt;.*?-.(?&lt;1&gt;.*?).\(\d{4}\).-.</RegExp_Title>
  <RegExp_OriginalTitle>/flag_\d*?.gif'\svspace='2'\s&gt;&lt;/td&gt;&lt;td&gt;(?&lt;1&gt;[^&lt;]*?)&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;\s</RegExp_OriginalTitle>
  <RegExp_Year>,\s(?&lt;1&gt;\d{4}),</RegExp_Year>
  <RegExp_Runtime>,\s\d{4},\s(?&lt;1&gt;\d*?)\smin</RegExp_Runtime>
  <!-- Regular expressions to look for plot -->
  <!-- options allow to remove specials characters before using regexp -->
  <ReplaceLFbySpaceBeforeRegExpPlot>true</ReplaceLFbySpaceBeforeRegExpPlot>
  <ReplaceCRbySpaceBeforeRegExpPlot>true</ReplaceCRbySpaceBeforeRegExpPlot>
  <ReplaceTBbySpaceBeforeRegExpPlot>true</ReplaceTBbySpaceBeforeRegExpPlot>
  <RegExp_Plot>&lt;div\sstyle='float.left.width.425px.padding-top.10px.font-weight.normal'&gt;(?&lt;1&gt;.*?)&amp;nbsp;</RegExp_Plot>
  <!-- Regular expressions to look for genres, directors and actors -->
  <Genres_MultipleMatches>false</Genres_MultipleMatches>
  <Genres_Separator>/</Genres_Separator>
  <RegExp_Genres>&lt;br&gt;\s*?&lt;b&gt;.(?&lt;1&gt;.*?)&amp;nbsp;&lt;br&gt;.*?, \d{4},</RegExp_Genres>
  <RegExp_Directors></RegExp_Directors>
  <Actors_MultipleMatches>false</Actors_MultipleMatches>
  <RegExp_Actors></RegExp_Actors>
  <!-- Regular expressions to look for cover -->
  <!-- RegExp_CoverLinkFront = regexp used on movie page -->
  <!-- RegExp_CoverUrl = used to look for a "galery" url on movie page -->
  <!-- RegExp_HowGotoCoverUrl = regexp to construct and follow "galery" link -->
  <!-- RegExp_CoverLinkFront2 = regexp to extract cover link from "galery" page -->
  <RegExp_CoverLinkFront>&lt;table.background=.(?&lt;1&gt;.*?)..border=</RegExp_CoverLinkFront>
  <RegExp_CoverUrl></RegExp_CoverUrl>
  <RegExp_HowGotoCoverUrl></RegExp_HowGotoCoverUrl>
  <RegExp_CoverLinkFront2></RegExp_CoverLinkFront2>
  <!-- Regular expressions to find Rating, it stops after it finds one non empty result (done in that order) -->
  <RegExp_Rating />
  <!-- Encoding used to send Title, and to read HTML pages -->
  <TitleEncoding>Default</TitleEncoding>
  <ContentEncoding>utf-8</ContentEncoding>
</MyMPConfig>